#include  <stdio.h>
#include  <stdlib.h>

#include "xalloc.h"

/* safe malloc */
void *
xmalloc(size_t size)
{
	void *p = malloc(size);
	if (!p) {
		fprintf(stderr,
			"FATAL ERROR: xmalloc() failed allocating %d bytes\n",
			size);
		exit(1);
	}
	return p;
}

/* safe free */
void
xfree(void *ptr)
{
	if (!ptr) {
//		fprintf(stderr, "\nWARNING: trying to xfree NULL\n");
		return;
	}
	free(ptr);
}


